# ExternData
Modelica library for reading data from INI, JSON, XLS and XML files.

## Build status
[![Build Status](https://drone.io/github.com/tbeu/ExternData/status.png)](https://drone.io/github.com/tbeu/ExternData/latest)

## Library description
ExternData is a small utility library to access data stored in INI, JSON, XLS or XML files.
The aim of this library is to provide access from Modelica simulation tools to data sets
for convenient model initialization / parametrization.

## License
ExternData is released under the terms of the GPL v2.

## Acknowledgement
ExternData is based on the following third-party C projects
* [expat](http://sourceforge.net/projects/expat) -
James Clark's Expat XML parser library
* [bsxml-json](https://github.com/bsapundzhiev/bsxml-json) -
Borislav Sapundzhiev's fairly simple XML DOM and JSON implementation
* [minIni](https://github.com/compuphase/minIni) -
Thiadmer Riemersma's small and portable INI file library with read/write support
* [libxls](http://sourceforge.net/projects/libxls) -
David Hoerl's C library for parsing Excel files
* [uthash](https://github.com/troydhanson/uthash) -
Troy D. Hanson's C macros for hash tables and more 

## Development and contribution
* [tbeu](https://github.com/tbeu)

You may report any issues with using the [Issues](../../issues) button.

Contributions in shape of [Pull Requests](../../pulls) are always welcome.